cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/events/{eventId}/markets/{marketId} \
--header 'x-api-key: <api-key>'{
"marketId": "<string>",
"openTime": 123,
"closeTime": 123,
"resolveAt": 123,
"marketResultPubkey": "<string>",
"imageUrl": "<string>",
"metadata": {
"marketId": "<string>",
"title": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"rulesPrimary": "<string>",
"rulesSecondary": "<string>"
},
"pricing": {
"buyYesPriceUsd": 123,
"buyNoPriceUsd": 123,
"sellYesPriceUsd": 123,
"sellNoPriceUsd": 123,
"volume": 123
}
}Markets
Get Event Market
Get detailed market information for a specific market within an event
GET
/
events
/
{eventId}
/
markets
/
{marketId}
cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/events/{eventId}/markets/{marketId} \
--header 'x-api-key: <api-key>'{
"marketId": "<string>",
"openTime": 123,
"closeTime": 123,
"resolveAt": 123,
"marketResultPubkey": "<string>",
"imageUrl": "<string>",
"metadata": {
"marketId": "<string>",
"title": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"rulesPrimary": "<string>",
"rulesSecondary": "<string>"
},
"pricing": {
"buyYesPriceUsd": 123,
"buyNoPriceUsd": 123,
"sellYesPriceUsd": 123,
"sellNoPriceUsd": 123,
"volume": 123
}
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Path Parameters
Event identifier
Minimum string length:
1Market identifier
Minimum string length:
1Response
Market data
Market identifier
Current market status
Available options:
open, closed, cancelled Current market result
Available options:
null, yes, no Unix timestamp (seconds) when the market opens
Unix timestamp (seconds) when the market closes
Unix timestamp (seconds) when the market resolved (null if pending)
Public key of the market result account
Market image URL
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
